View Issue Details

IDProjectCategoryView StatusLast Update
0003433SketcherBugpublic2018-10-28 09:03
Reporterulrich1aAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS VersionStretch
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003433: Cannot constrain another b-spline to a b-spline with a block constraint
DescriptionA b-spline can be fixed with a block constraint. This is very comfortable in many situations.
But it is misleading, when one attempts to constrain another b-spline to it with auto-constraint. It appears as if an auto-constraint was added, but there is no additional constraint in the list.

Steps To ReproduceOpen a sketch in a document.
1. Add an b-spline to it.
2. Apply the block constraint to it.
3. Start a second b-spline at the endpoint of the first one. When the auto-constraint of a dot appears, start the second spline and draw it.

At the end the second spline is not fixed to the blocked one.
Additional InformationThe behavior was confirmed as half a bug in the forum:
https://forum.freecadweb.org/viewtopic.php?f=9&t=26572&sid=7e682fdf2296ef7fcf08fe3c813f3c77&start=10#p227778
Tagsconstraints, sketcher

Activities

abdullah

2018-05-25 11:55

manager   ~0011277

There is an update in the forum, linking to an appimage, for further feedback:
https://forum.freecadweb.org/viewtopic.php?f=9&t=26572&start=20#p235410

abdullah

2018-09-28 17:39

manager   ~0011871

@kunda1

I think this is fixed in master now. Could we have it tested by a 3rd party to confirm and close if appropriate?

thanks!!

Kunda1

2018-10-28 02:40

administrator   ~0012105

@ulrich1a please test and confirm the fix

qurn

2018-10-28 08:43

reporter   ~0012107

I tested the steps and can confirm the fix. In 0.17 doesn't work, in git master it works.

Kunda1

2018-10-28 09:03

administrator   ~0012108

@qurn thank you
Closing ticket

Issue History

Date Modified Username Field Change
2018-04-16 20:51 ulrich1a New Issue
2018-04-16 20:51 ulrich1a Tag Attached: constraints
2018-04-16 20:51 ulrich1a Tag Attached: sketcher
2018-04-17 00:19 normandc Assigned To => abdullah
2018-04-17 00:19 normandc Status new => assigned
2018-05-25 11:55 abdullah Note Added: 0011277
2018-05-25 11:55 abdullah Status assigned => feedback
2018-09-28 17:39 abdullah Note Added: 0011871
2018-09-28 19:27 Kunda1 Target Version => 0.18
2018-10-28 02:40 Kunda1 Note Added: 0012105
2018-10-28 08:43 qurn Note Added: 0012107
2018-10-28 09:03 Kunda1 Status feedback => closed
2018-10-28 09:03 Kunda1 Resolution open => fixed
2018-10-28 09:03 Kunda1 Fixed in Version => 0.18
2018-10-28 09:03 Kunda1 Note Added: 0012108